## Dotfiles

- [Neovim Nightly](https://github.com/neovim/neovim)
- [Fish Shell](https://github.com/fish-shell/fish-shell)
- And more

See [packages.nix]() for a list of programs that I use, which `home-manager`
installs automatically.

## Usage

Either copy and paste anything you like, or use *Nix*
[home-manager](https://github.com/nix-community/home-manager) (recommended)

- Clone the repository (e.g into `~/.dotfiles`)
- `cd ~/.dotfiles`
- Install [Nix](https://nixos.org/download)
- Enable `flakes`:
    - Using your editor, open the nix configuration (`/etc/nix/nix.conf`)
    - Add the following line: `experimental-features = nix-command flakes`
- Edit `flakes.nix`, `home.nix` and `packages.nix` to your liking (add/remove
  packages, configs, etc.)
- **Double check your nix config**, you'll probably want to edit them for yourself,
  especially things like the git config
- On your first run: `nix run home-manager/master -- switch --flake ~/.dotfiles`
- On subsequent runs: `home-manager switch --flake ~/.dotfiles`
